This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 476223 - (CVE-2008-5619) CVE-2008-5619 roundcubemail: Remotely exploitable code injection vulnerability
CVE-2008-5619 roundcubemail: Remotely exploitable code injection vulnerability
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://trac.roundcube.net/changeset/2148
public=20081209,reported=20081212,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 10:57 EST by Jan Lieskovsky
Modified: 2008-12-17 10:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-17 10:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 508628 None None None Never

  None (edit)
Description Jan Lieskovsky 2008-12-12 10:57:55 EST
A remotely exploitable code injection vulnerability has been found in
the RoundCube Webmail browser-based multilingual IMAP client due
to insufficient sanitization of certain HTML tags. A remote attacker could
use this flaw to potentially inject and execute arbitrary code
via HTML POST form request with specially-crafted HTML tags.

References:
http://trac.roundcube.net/ticket/1485618
http://trac.roundcube.net/changeset/2148
Comment 1 Jan Lieskovsky 2008-12-12 10:59:52 EST
This issue affects all versions of the roundcubemail package, as shipped
with Fedora releases of 8, 9 and 10.

Please apply the above patch and update.
Comment 2 Fedora Update System 2008-12-12 11:44:48 EST
roundcubemail-0.2-4.beta.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/roundcubemail-0.2-4.beta.fc10
Comment 3 Fedora Update System 2008-12-12 11:44:50 EST
roundcubemail-0.2-4.beta.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/roundcubemail-0.2-4.beta.fc9
Comment 4 Fedora Update System 2008-12-12 11:44:53 EST
roundcubemail-0.2-4.beta.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/roundcubemail-0.2-4.beta.fc8
Comment 5 Fedora Update System 2008-12-13 10:01:28 EST
roundcubemail-0.2-4.beta.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-13 10:04:14 EST
roundcubemail-0.2-4.beta.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-13 10:06:12 EST
roundcubemail-0.2-4.beta.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jan Lieskovsky 2008-12-17 05:49:05 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5619 to
this vulnerability:

html2text.php in RoundCube Webmail (roundcubemail) 0.2-1.alpha and
0.2-3.beta allows remote attackers to execute arbitrary code via
crafted input that is processed by the preg_replace function with the
eval switch.


References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5619
http://trac.roundcube.net/ticket/1485618
http://sourceforge.net/forum/forum.php?forum_id=898542
http://trac.roundcube.net/changeset/2148
https://www.redhat.com/archives/fedora-package-announce/2008-December/msg00783.html
https://www.redhat.com/archives/fedora-package-announce/2008-December/msg00802.html
http://www.openwall.com/lists/oss-security/2008/12/12/1
http://secunia.com/advisories/33170

Note You need to log in before you can comment on or make changes to this bug.